プロフィールの更新
プロフィールの更新.
APIリファレンスに戻る
/Twitter Profile Actions Endpoints
POST
/twitter/profileAPI 認証
AuthorizationBearer token · header必須TwexAPIのグローバル認証トークン (Bearer Token)。ヘッダーに含める必要があります:Authorization: Bearer <YOUR_TWEXAPI_KEY>。
リクエストボディ
必須application/jsoncookiestring必須ユーザー自身が承認した Twitter セッション資格情報または auth_token(BYOC — Bring Your Own Cookie)。機密情報は保存されず、完全なステートレスプロキシとして実行されます。詳細は [認証・セキュリティガイド](/ja/authentication#write-operations--byoc-bring-your-own-cookie) および [Cookie 取得手順](https://youtube-promotion.pages.dev/how-to-get-twitter-cookie) を参照。
namestring | anyユーザー表示名
プロパティを表示プロパティを非表示
Any of:
string
stringany
anywebsitestring | anyWebsite of the user
プロパティを表示プロパティを非表示
Any of:
string
stringany
anydescriptionstring | anyプロフィール自己紹介文(Bio)
プロパティを表示プロパティを非表示
Any of:
string
stringany
anylocationstring | anyLocation of the user
プロパティを表示プロパティを非表示
Any of:
string
stringany
anyprofile_imagestring | anyProfile image of the user
プロパティを表示プロパティを非表示
Any of:
string
stringany
anyprofile_bannerstring | anyProfile banner of the user
プロパティを表示プロパティを非表示
Any of:
string
stringany
anyproxystring | anyThe proxy to use.Please use high-quality residential proxies and avoid free proxies.Required.Example: http://username:password@ip:port . You can get proxy from: https://app.proxy-cheap.com/r/qiMxub
プロパティを表示プロパティを非表示
Any of:
string
stringany
anyレスポンス
200成功時のレスポンス
codeinteger必須HTTP ステータスコード(200 は成功)
msgstring必須レスポンスメッセージ(例: 'success')
databoolean必須返却されるコアデータオブジェクトまたは配列
422パラメータバリデーションエラー
detailValidationError[]プロパティを表示プロパティを非表示
Array of
ValidationErrorlocstring | integer[]必須プロパティを表示プロパティを非表示
Array of
string | integerAny of:
string
stringinteger
integermsgstring必須レスポンスメッセージ(例: 'success')
typestring必須inputanyctxobject⚡インタラクティブテストPOST
⚡インタラクティブテスト / Try APIPOSTLive Console
🌐対象サーバー:
https://api.twexapi.io● 本番環境レディ
✍️
書き込み操作の認証情報ガイド(TwexAPIキー + Twitter Cookie)
1. TwexAPIプラットフォームキー (Bearer Token): 下記の「API認証」に入力してください(API呼び出しと課金認証に使用)。
2. TwitterアカウントCookie: ツイート・いいね・フォロー等の書き込み操作のため、下記リクエストボディの cookie フィールドに対象TwitterアカウントのCookie(例: auth_token=...; ct0=...)を入力してください。
🔑API 認証
📝リクエストボディapplication/json
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
リクエスト例
curl -X POST "https://api.twexapi.io/twitter/profile" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"cookie": "string",
"name": "string",
"website": "string",
"description": "string",
"location": "New York, USA",
"profile_image": "https://example.com/image.jpg",
"profile_banner": "https://example.com/banner.jpg",
"proxy": "http://username:password@ip:port"
}'const response = await fetch("https://api.twexapi.io/twitter/profile", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"cookie": "string",
"name": "string",
"website": "string",
"description": "string",
"location": "New York, USA",
"profile_image": "https://example.com/image.jpg",
"profile_banner": "https://example.com/banner.jpg",
"proxy": "http://username:password@ip:port"
})
});import requests
response = requests.post(
"https://api.twexapi.io/twitter/profile",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"cookie": "string",
"name": "string",
"website": "string",
"description": "string",
"location": "New York, USA",
"profile_image": "https://example.com/image.jpg",
"profile_banner": "https://example.com/banner.jpg",
"proxy": "http://username:password@ip:port"
},
)レスポンス例
{
"code": 200,
"msg": "success",
"data": true
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}